﻿using System.Threading;
using Microsoft.SPOT;

using Microtoolskit.Hardware.Sensors;

namespace TestNetduinoTMP102
{
    public class Program
    {
        public static void Main()
        {
            TMP102 CptTemp = new TMP102();
            CptTemp.Init();

            while (true)
            {
                float temperature = CptTemp.ReadAsCelcius();
                Debug.Print("Temperature:" + temperature.ToString("F1"));

                // Sleep for 1000 milliseconds
                Thread.Sleep(1000);
            }
        }
    }
}
